# Uses of Enum
com.databricks.jdbc.model.telemetry.latency.OperationType

Packages that use OperationType
Package
Description
com.databricks.jdbc.model.telemetry
com.databricks.jdbc.model.telemetry.latency
com.databricks.jdbc.telemetry

## Uses of OperationType in com.databricks.jdbc.model.telemetry

Methods in com.databricks.jdbc.model.telemetry with parameters of type OperationType
Modifier and Type
Method
Description
`StatementTelemetryDetails`
StatementTelemetryDetails.`recordOperationLatency(long latencyMillis, OperationType operationType)`

## Uses of OperationType in com.databricks.jdbc.model.telemetry.latency

Subclasses with type arguments of type OperationType in com.databricks.jdbc.model.telemetry.latency
Modifier and Type
Class
Description
`enum`
`OperationType`
Methods in com.databricks.jdbc.model.telemetry.latency that return OperationType
Modifier and Type
Method
Description
`static OperationType`
OperationType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static OperationType[]`
OperationType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.model.telemetry.latency with parameters of type OperationType
Modifier and Type
Method
Description
`OperationDetail`
OperationDetail.`setOperationType(OperationType operationType)`

## Uses of OperationType in com.databricks.jdbc.telemetry

Methods in com.databricks.jdbc.telemetry that return OperationType
Modifier and Type
Method
Description
`static OperationType`
TelemetryHelper.`mapMethodToOperationType(String methodName)`